define("wildFuryAnimationPort", ["componentmodelComponentApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof wildFuryAnimationPort == 'undefined') {
            var wildFuryAnimationPort = {};
        };
        wildFuryAnimationPort.Action = {
            __ename__: ["wildFuryAnimationPort", "Action"],
            __constructs__: ["SHOW", "HIDE", "ADDITIONAL"]
        };
        wildFuryAnimationPort.Action.SHOW = ["SHOW", 0];
        wildFuryAnimationPort.Action.SHOW.toString = $estr;
        wildFuryAnimationPort.Action.SHOW.__enum__ = wildFuryAnimationPort.Action;
        wildFuryAnimationPort.Action.ADDITIONAL = ["ADDITIONAL", 2];
        wildFuryAnimationPort.Action.ADDITIONAL.toString = $estr;
        wildFuryAnimationPort.Action.ADDITIONAL.__enum__ = wildFuryAnimationPort.Action;
        wildFuryAnimationPort.Action.HIDE = ["HIDE", 1];
        wildFuryAnimationPort.Action.HIDE.toString = $estr;
        wildFuryAnimationPort.Action.HIDE.__enum__ = wildFuryAnimationPort.Action;
        wildFuryAnimationPort.AnimationComponent = {
            __ename__: ["wildFuryAnimationPort", "AnimationComponent"],
            __constructs__: ["REEL_FRAMES_CONTAINER", "PARTICLE_HOLDER", "REEL_BACKGROUND", "LOGO", "DRAGONS", "FLYING_SYMBOLS", "TENSION", "PROMO", "NONE"]
        };
        wildFuryAnimationPort.AnimationComponent.PROMO = ["PROMO", 7];
        wildFuryAnimationPort.AnimationComponent.PROMO.toString = $estr;
        wildFuryAnimationPort.AnimationComponent.PROMO.__enum__ = wildFuryAnimationPort.AnimationComponent;
        wildFuryAnimationPort.AnimationComponent.REEL_BACKGROUND = ["REEL_BACKGROUND", 2];
        wildFuryAnimationPort.AnimationComponent.REEL_BACKGROUND.toString = $estr;
        wildFuryAnimationPort.AnimationComponent.REEL_BACKGROUND.__enum__ = wildFuryAnimationPort.AnimationComponent;
        wildFuryAnimationPort.AnimationComponent.PARTICLE_HOLDER = ["PARTICLE_HOLDER", 1];
        wildFuryAnimationPort.AnimationComponent.PARTICLE_HOLDER.toString = $estr;
        wildFuryAnimationPort.AnimationComponent.PARTICLE_HOLDER.__enum__ = wildFuryAnimationPort.AnimationComponent;
        wildFuryAnimationPort.AnimationComponent.NONE = ["NONE", 8];
        wildFuryAnimationPort.AnimationComponent.NONE.toString = $estr;
        wildFuryAnimationPort.AnimationComponent.NONE.__enum__ = wildFuryAnimationPort.AnimationComponent;
        wildFuryAnimationPort.AnimationComponent.DRAGONS = ["DRAGONS", 4];
        wildFuryAnimationPort.AnimationComponent.DRAGONS.toString = $estr;
        wildFuryAnimationPort.AnimationComponent.DRAGONS.__enum__ = wildFuryAnimationPort.AnimationComponent;
        wildFuryAnimationPort.AnimationComponent.FLYING_SYMBOLS = ["FLYING_SYMBOLS", 5];
        wildFuryAnimationPort.AnimationComponent.FLYING_SYMBOLS.toString = $estr;
        wildFuryAnimationPort.AnimationComponent.FLYING_SYMBOLS.__enum__ = wildFuryAnimationPort.AnimationComponent;
        wildFuryAnimationPort.AnimationComponent.TENSION = ["TENSION", 6];
        wildFuryAnimationPort.AnimationComponent.TENSION.toString = $estr;
        wildFuryAnimationPort.AnimationComponent.TENSION.__enum__ = wildFuryAnimationPort.AnimationComponent;
        wildFuryAnimationPort.AnimationComponent.LOGO = ["LOGO", 3];
        wildFuryAnimationPort.AnimationComponent.LOGO.toString = $estr;
        wildFuryAnimationPort.AnimationComponent.LOGO.__enum__ = wildFuryAnimationPort.AnimationComponent;
        wildFuryAnimationPort.AnimationComponent.REEL_FRAMES_CONTAINER = ["REEL_FRAMES_CONTAINER", 0];
        wildFuryAnimationPort.AnimationComponent.REEL_FRAMES_CONTAINER.toString = $estr;
        wildFuryAnimationPort.AnimationComponent.REEL_FRAMES_CONTAINER.__enum__ = wildFuryAnimationPort.AnimationComponent;
        wildFuryAnimationPort.DragonType = {
            __ename__: ["wildFuryAnimationPort", "DragonType"],
            __constructs__: ["GOLD", "BLUE", "TAUNT_GOLD", "TAUNT_BLUE", "TAUNT_GOLD_PART_2", "TAUNT_BLUE_PART_2", "VERTICALS"]
        };
        wildFuryAnimationPort.DragonType.TAUNT_GOLD = ["TAUNT_GOLD", 2];
        wildFuryAnimationPort.DragonType.TAUNT_GOLD.toString = $estr;
        wildFuryAnimationPort.DragonType.TAUNT_GOLD.__enum__ = wildFuryAnimationPort.DragonType;
        wildFuryAnimationPort.DragonType.TAUNT_GOLD_PART_2 = ["TAUNT_GOLD_PART_2", 4];
        wildFuryAnimationPort.DragonType.TAUNT_GOLD_PART_2.toString = $estr;
        wildFuryAnimationPort.DragonType.TAUNT_GOLD_PART_2.__enum__ = wildFuryAnimationPort.DragonType;
        wildFuryAnimationPort.DragonType.TAUNT_BLUE = ["TAUNT_BLUE", 3];
        wildFuryAnimationPort.DragonType.TAUNT_BLUE.toString = $estr;
        wildFuryAnimationPort.DragonType.TAUNT_BLUE.__enum__ = wildFuryAnimationPort.DragonType;
        wildFuryAnimationPort.DragonType.BLUE = ["BLUE", 1];
        wildFuryAnimationPort.DragonType.BLUE.toString = $estr;
        wildFuryAnimationPort.DragonType.BLUE.__enum__ = wildFuryAnimationPort.DragonType;
        wildFuryAnimationPort.DragonType.GOLD = ["GOLD", 0];
        wildFuryAnimationPort.DragonType.GOLD.toString = $estr;
        wildFuryAnimationPort.DragonType.GOLD.__enum__ = wildFuryAnimationPort.DragonType;
        wildFuryAnimationPort.DragonType.VERTICALS = ["VERTICALS", 6];
        wildFuryAnimationPort.DragonType.VERTICALS.toString = $estr;
        wildFuryAnimationPort.DragonType.VERTICALS.__enum__ = wildFuryAnimationPort.DragonType;
        wildFuryAnimationPort.DragonType.TAUNT_BLUE_PART_2 = ["TAUNT_BLUE_PART_2", 5];
        wildFuryAnimationPort.DragonType.TAUNT_BLUE_PART_2.toString = $estr;
        wildFuryAnimationPort.DragonType.TAUNT_BLUE_PART_2.__enum__ = wildFuryAnimationPort.DragonType;
        wildFuryAnimationPort.DragonAction = function(dragonType, animationEndHandler) {
            this.dragonType = dragonType;
            if (animationEndHandler == null) this.animationEndHandler = wildFuryAnimationPort.DragonAction.emptyHandler;
            else this.animationEndHandler = animationEndHandler;
        };
        wildFuryAnimationPort.DragonAction.__name__ = ["wildFuryAnimationPort", "DragonAction"];
        wildFuryAnimationPort.DragonAction.prototype.dragonType = null;
        wildFuryAnimationPort.DragonAction.prototype.animationEndHandler = null;
        wildFuryAnimationPort.DragonAction.emptyHandler = function(dragonType) {};
        wildFuryAnimationPort.DragonAction.prototype.__class__ = wildFuryAnimationPort.DragonAction;
        wildFuryAnimationPort.ParticlePayload = function(name, position, colorStart, colorEnd, uname, isMasked, zIndex) {
            if (zIndex == null) zIndex = -1;
            if (isMasked == null) isMasked = false;
            this.name = name;
            this.position = position;
            this.colorStart = colorStart;
            this.colorEnd = colorEnd;
            this.uname = uname;
            this.isMasked = isMasked;
            this.zIndex = zIndex;
            if (uname == null) this.uname = name;
        };
        wildFuryAnimationPort.ParticlePayload.__name__ = ["wildFuryAnimationPort", "ParticlePayload"];
        wildFuryAnimationPort.ParticlePayload.prototype.name = null;
        wildFuryAnimationPort.ParticlePayload.prototype.uname = null;
        wildFuryAnimationPort.ParticlePayload.prototype.position = null;
        wildFuryAnimationPort.ParticlePayload.prototype.colorStart = null;
        wildFuryAnimationPort.ParticlePayload.prototype.colorEnd = null;
        wildFuryAnimationPort.ParticlePayload.prototype.isMasked = null;
        wildFuryAnimationPort.ParticlePayload.prototype.zIndex = null;
        wildFuryAnimationPort.ParticlePayload.prototype.__class__ = wildFuryAnimationPort.ParticlePayload;

        wildFuryAnimationPort.IAnimationPort = function() {}
        wildFuryAnimationPort.IAnimationPort.prototype = {

            getAnimationAction: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getSymbolFlightComplete: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getAllSymbolsFlightComplete: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            show: function(componen, data) {
                return {
                    arguments: ["*", {
                        type: "*",
                        opt: true
                    }],
                    returns: "void"
                };
            },
            hide: function(componen, data) {
                return {
                    arguments: ["*", {
                        type: "*",
                        opt: true
                    }],
                    returns: "void"
                };
            },
            showPromo: function() {
                return {
                    arguments: [],
                    returns: "void"
                };
            },
            hidePromo: function() {
                return {
                    arguments: [],
                    returns: "void"
                };
            },
            pausePromo: function() {
                return {
                    arguments: [],
                    returns: "void"
                };
            },
            resumePromo: function() {
                return {
                    arguments: [],
                    returns: "void"
                };
            },
            activatePromo: function(isActive) {
                return {
                    arguments: ["boolean"],
                    returns: "void"
                };
            },
            showParticle: function(name, position, colorStart, colorEnd, uname, isMasked, zIndex) {
                return {
                    arguments: ["string", "*", {
                        type: "*",
                        opt: true
                    }, {
                        type: "*",
                        opt: true
                    }, {
                        type: "*",
                        opt: true
                    }, {
                        type: "boolean",
                        opt: true
                    }, {
                        type: "number",
                        opt: true
                    }],
                    returns: "void"
                };
            },
            hideParticle: function(particle) {
                return {
                    arguments: ["string"],
                    returns: "void"
                };
            },
            updateReelMask: function(reelMask) {
                return {
                    arguments: ["array"],
                    returns: "void"
                };
            },
            showDragons: function(type, animationEndHandler) {
                return {
                    arguments: ["*", {
                        type: "*",
                        opt: true
                    }],
                    returns: "void"
                };
            },
            showFlyingSymbols: function(symbols) {
                return {
                    arguments: ["array"],
                    returns: "void"
                };
            },
            showTensionFrame: function(reelID) {
                return {
                    arguments: ["number"],
                    returns: "void"
                };
            },
            showFrozenFrameAnimation: function() {
                return {
                    arguments: [],
                    returns: "void"
                };
            },
            hideFrozenFrameAnimation: function() {
                return {
                    arguments: [],
                    returns: "void"
                };
            }
        };

        wildFuryAnimationPort.IAnimationImplementationPort = function() {}
        wildFuryAnimationPort.IAnimationImplementationPort.prototype = {

            getAnimationAction: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getSymbolFlightComplete: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getAllSymbolsFlightComplete: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        wildFuryAnimationPort.AnimationPort = function(instance, bus) {
            this.symbolFlightCompleteTopic = new clientkernelEventbusApi.Topic("Animation:symbolFlightComplete");
            this.allSymbolsFlightCompleteTopic = new clientkernelEventbusApi.Topic("Animation:allSymbolsFlightComplete");
            this.animationAction = new clientkernelEventbusApi.Topic("Animation:action");
            this.animationAction.connect(bus);
            this.allSymbolsFlightCompleteTopic.connect(bus);
            this.symbolFlightCompleteTopic.connect(bus);
        };
        wildFuryAnimationPort.AnimationPort = ck_implements(wildFuryAnimationPort.AnimationPort, wildFuryAnimationPort.IAnimationPort);
        wildFuryAnimationPort.AnimationPort = ck_implements(wildFuryAnimationPort.AnimationPort, wildFuryAnimationPort.IAnimationImplementationPort);
        wildFuryAnimationPort.AnimationPort.__interfaces__ = [wildFuryAnimationPort.IAnimationPort, wildFuryAnimationPort.IAnimationImplementationPort];
        wildFuryAnimationPort.AnimationPort.__name__ = ["wildFuryAnimationPort", "AnimationPort"];
        wildFuryAnimationPort.AnimationPort.prototype.animationAction = null;
        wildFuryAnimationPort.AnimationPort.prototype.allSymbolsFlightCompleteTopic = null;
        wildFuryAnimationPort.AnimationPort.prototype.symbolFlightCompleteTopic = null;
        wildFuryAnimationPort.AnimationPort.prototype.getAnimationAction = function() {
            return this.animationAction;
        };
        wildFuryAnimationPort.AnimationPort.prototype.getSymbolFlightComplete = function() {
            return this.symbolFlightCompleteTopic;
        };
        wildFuryAnimationPort.AnimationPort.prototype.getAllSymbolsFlightComplete = function() {
            return this.allSymbolsFlightCompleteTopic;
        };
        wildFuryAnimationPort.AnimationPort.prototype.show = function(componen, data) {
            this.publishAction(new wildFuryAnimationPort.AnimationAction(componen, wildFuryAnimationPort.Action.SHOW, data));
        };
        wildFuryAnimationPort.AnimationPort.prototype.hide = function(componen, data) {
            this.publishAction(new wildFuryAnimationPort.AnimationAction(componen, wildFuryAnimationPort.Action.HIDE, data));
        };
        wildFuryAnimationPort.AnimationPort.prototype.publishAdditionalAction = function(componen, data) {
            this.publishAction(new wildFuryAnimationPort.AnimationAction(componen, wildFuryAnimationPort.Action.ADDITIONAL, data));
        };
        wildFuryAnimationPort.AnimationPort.prototype.publishAction = function(action) {
            this.getAnimationAction().publish(action);
        };
        wildFuryAnimationPort.AnimationPort.prototype.showParticle = function(name, position, colorStart, colorEnd, uname, isMasked, zIndex) {
            if (zIndex == null) zIndex = -1;
            if (isMasked == null) isMasked = true;
            this.show(wildFuryAnimationPort.AnimationComponent.PARTICLE_HOLDER, new wildFuryAnimationPort.ParticlePayload(name, position, colorStart, colorEnd, uname, isMasked, zIndex));
        };
        wildFuryAnimationPort.AnimationPort.prototype.hideParticle = function(particle) {
            this.hide(wildFuryAnimationPort.AnimationComponent.PARTICLE_HOLDER, new wildFuryAnimationPort.ParticlePayload(particle, {
                x: 0,
                y: 0
            }));
        };
        wildFuryAnimationPort.AnimationPort.prototype.updateReelMask = function(reelMask) {
            var maskPayload = new wildFuryAnimationPort.MaskPayload(reelMask, wildFuryAnimationPort.ReelFrameMaskAction.SHOW_BLEED_MASK);
            this.publishAdditionalAction(wildFuryAnimationPort.AnimationComponent.REEL_FRAMES_CONTAINER, maskPayload);
        };
        wildFuryAnimationPort.AnimationPort.prototype.showDragons = function(type, animationEndHandler) {
            this.show(wildFuryAnimationPort.AnimationComponent.DRAGONS, new wildFuryAnimationPort.DragonAction(type, animationEndHandler));
        };
        wildFuryAnimationPort.AnimationPort.prototype.showTensionFrame = function(reelId) {
            this.show(wildFuryAnimationPort.AnimationComponent.TENSION, reelId);
        };
        wildFuryAnimationPort.AnimationPort.prototype.showFlyingSymbols = function(symbols) {
            this.show(wildFuryAnimationPort.AnimationComponent.FLYING_SYMBOLS, symbols);
        };
        wildFuryAnimationPort.AnimationPort.prototype.showFrozenFrameAnimation = function() {
            this.publishAdditionalAction(wildFuryAnimationPort.AnimationComponent.REEL_FRAMES_CONTAINER, wildFuryAnimationPort.ReelFrameFreezeAction.FREEZE);
        };
        wildFuryAnimationPort.AnimationPort.prototype.hideFrozenFrameAnimation = function() {
            this.publishAdditionalAction(wildFuryAnimationPort.AnimationComponent.REEL_FRAMES_CONTAINER, wildFuryAnimationPort.ReelFrameFreezeAction.UN_FREEZE);
        };
        wildFuryAnimationPort.AnimationPort.prototype.showPromo = function() {
            this.show(wildFuryAnimationPort.AnimationComponent.PROMO);
        };
        wildFuryAnimationPort.AnimationPort.prototype.hidePromo = function() {
            this.hide(wildFuryAnimationPort.AnimationComponent.PROMO);
        };
        wildFuryAnimationPort.AnimationPort.prototype.pausePromo = function() {
            this.publishAdditionalAction(wildFuryAnimationPort.AnimationComponent.PROMO, wildFuryAnimationPort.PromoAdditionalAction.PAUSE);
        };
        wildFuryAnimationPort.AnimationPort.prototype.resumePromo = function() {
            this.publishAdditionalAction(wildFuryAnimationPort.AnimationComponent.PROMO, wildFuryAnimationPort.PromoAdditionalAction.RESUME);
        };
        wildFuryAnimationPort.AnimationPort.prototype.activatePromo = function(isActive) {
            var additionalAction;
            if (isActive) additionalAction = wildFuryAnimationPort.PromoAdditionalAction.ACTIVATE;
            else additionalAction = wildFuryAnimationPort.PromoAdditionalAction.DEACTIVATE;
            this.publishAdditionalAction(wildFuryAnimationPort.AnimationComponent.PROMO, additionalAction);
        };
        wildFuryAnimationPort.AnimationPort.prototype.__class__ = wildFuryAnimationPort.AnimationPort;
        wildFuryAnimationPort.AnimationPortFactory = function() {};
        wildFuryAnimationPort.AnimationPortFactory = ck_implements(wildFuryAnimationPort.AnimationPortFactory, componentmodelComponentApi.IComponentPortFactory);
        wildFuryAnimationPort.AnimationPortFactory.__interfaces__ = [componentmodelComponentApi.IComponentPortFactory];
        wildFuryAnimationPort.AnimationPortFactory.__name__ = ["wildFuryAnimationPort", "AnimationPortFactory"];
        wildFuryAnimationPort.AnimationPortFactory.prototype.provide = function(instance, channel) {
            return new wildFuryAnimationPort.AnimationPort(instance, channel);
        };
        wildFuryAnimationPort.AnimationPortFactory.prototype["use"] = function(instance, channel) {
            return new wildFuryAnimationPort.AnimationPort(instance, channel);
        };
        wildFuryAnimationPort.AnimationPortFactory.prototype.__class__ = wildFuryAnimationPort.AnimationPortFactory;
        wildFuryAnimationPort.AnimationAction = function(animationComponent, action, data) {
            this.animationComponent = animationComponent;
            this.action = action;
            this.data = data;
        };
        wildFuryAnimationPort.AnimationAction.__name__ = ["wildFuryAnimationPort", "AnimationAction"];
        wildFuryAnimationPort.AnimationAction.prototype.animationComponent = null;
        wildFuryAnimationPort.AnimationAction.prototype.action = null;
        wildFuryAnimationPort.AnimationAction.prototype.data = null;
        wildFuryAnimationPort.AnimationAction.prototype.__class__ = wildFuryAnimationPort.AnimationAction;
        wildFuryAnimationPort.MaskPayload = function(reelMask, action) {
            this.reelMask = reelMask;
            this.action = action;
        };
        wildFuryAnimationPort.MaskPayload.__name__ = ["wildFuryAnimationPort", "MaskPayload"];
        wildFuryAnimationPort.MaskPayload.prototype.action = null;
        wildFuryAnimationPort.MaskPayload.prototype.reelMask = null;
        wildFuryAnimationPort.MaskPayload.prototype.__class__ = wildFuryAnimationPort.MaskPayload;
        wildFuryAnimationPort.PromoAdditionalAction = {
            __ename__: ["wildFuryAnimationPort", "PromoAdditionalAction"],
            __constructs__: ["ACTIVATE", "DEACTIVATE", "PAUSE", "RESUME"]
        };
        wildFuryAnimationPort.PromoAdditionalAction.ACTIVATE = ["ACTIVATE", 0];
        wildFuryAnimationPort.PromoAdditionalAction.ACTIVATE.toString = $estr;
        wildFuryAnimationPort.PromoAdditionalAction.ACTIVATE.__enum__ = wildFuryAnimationPort.PromoAdditionalAction;
        wildFuryAnimationPort.PromoAdditionalAction.PAUSE = ["PAUSE", 2];
        wildFuryAnimationPort.PromoAdditionalAction.PAUSE.toString = $estr;
        wildFuryAnimationPort.PromoAdditionalAction.PAUSE.__enum__ = wildFuryAnimationPort.PromoAdditionalAction;
        wildFuryAnimationPort.PromoAdditionalAction.RESUME = ["RESUME", 3];
        wildFuryAnimationPort.PromoAdditionalAction.RESUME.toString = $estr;
        wildFuryAnimationPort.PromoAdditionalAction.RESUME.__enum__ = wildFuryAnimationPort.PromoAdditionalAction;
        wildFuryAnimationPort.PromoAdditionalAction.DEACTIVATE = ["DEACTIVATE", 1];
        wildFuryAnimationPort.PromoAdditionalAction.DEACTIVATE.toString = $estr;
        wildFuryAnimationPort.PromoAdditionalAction.DEACTIVATE.__enum__ = wildFuryAnimationPort.PromoAdditionalAction;
        wildFuryAnimationPort.ReelFrameFreezeAction = {
            __ename__: ["wildFuryAnimationPort", "ReelFrameFreezeAction"],
            __constructs__: ["FREEZE", "UN_FREEZE"]
        };
        wildFuryAnimationPort.ReelFrameFreezeAction.UN_FREEZE = ["UN_FREEZE", 1];
        wildFuryAnimationPort.ReelFrameFreezeAction.UN_FREEZE.toString = $estr;
        wildFuryAnimationPort.ReelFrameFreezeAction.UN_FREEZE.__enum__ = wildFuryAnimationPort.ReelFrameFreezeAction;
        wildFuryAnimationPort.ReelFrameFreezeAction.FREEZE = ["FREEZE", 0];
        wildFuryAnimationPort.ReelFrameFreezeAction.FREEZE.toString = $estr;
        wildFuryAnimationPort.ReelFrameFreezeAction.FREEZE.__enum__ = wildFuryAnimationPort.ReelFrameFreezeAction;
        wildFuryAnimationPort.ReelFrameMaskAction = {
            __ename__: ["wildFuryAnimationPort", "ReelFrameMaskAction"],
            __constructs__: ["SHOW_BLEED_MASK", "HIDE_BLEED_MASK"]
        };
        wildFuryAnimationPort.ReelFrameMaskAction.SHOW_BLEED_MASK = ["SHOW_BLEED_MASK", 0];
        wildFuryAnimationPort.ReelFrameMaskAction.SHOW_BLEED_MASK.toString = $estr;
        wildFuryAnimationPort.ReelFrameMaskAction.SHOW_BLEED_MASK.__enum__ = wildFuryAnimationPort.ReelFrameMaskAction;
        wildFuryAnimationPort.ReelFrameMaskAction.HIDE_BLEED_MASK = ["HIDE_BLEED_MASK", 1];
        wildFuryAnimationPort.ReelFrameMaskAction.HIDE_BLEED_MASK.toString = $estr;
        wildFuryAnimationPort.ReelFrameMaskAction.HIDE_BLEED_MASK.__enum__ = wildFuryAnimationPort.ReelFrameMaskAction;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: wildFuryAnimationPort
        };
    });
//# sourceURL=wildFuryAnimationPort.js